## net.i2p.util
Class OrderedProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  net.i2p.util.OrderedProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class OrderedProperties

extends Properties

Properties map that has its keySet ordered consistently (via the key's lexicographical ordering). This is useful in environments where maps must stay the same order (e.g. for signature verification) This does NOT support remove against the iterators / etc.

Author:
  zzz Rewritten Now unsorted until the keyset or entryset is requested. The class is unsynchronized. The keySet() and entrySet() methods return ordered sets. Others - such as the enumerations values(), keys(), propertyNames() - do not.
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`OrderedProperties()`

Method Summary
`Set<Map.Entry<Object,Object>>` `entrySet()`
`Set` `keySet()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderedProperties

    public OrderedProperties()

Method Detail

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map<Object,Object>`
  Overrides:
    `keySet` in class `Hashtable<Object,Object>`

### entrySet

    public Set<Map.Entry<Object,Object>> entrySet()

  Specified by:
    `entrySet` in interface `Map<Object,Object>`
  Overrides:
    `entrySet` in class `Hashtable<Object,Object>`